# $Revision: 1.11 $, $Date: 2007/02/08 18:59:18 $
# Conditional build:
%bcond_without	tests		# skip tests
#
Summary:	Command line tool for configuring grub, lilo, and elilo
Summary(pl):	Dziaajce z linii polece narzdzie do konfiguracji gruba, lilo i elilo
Name:		grubby
Version:	5.0.4
Release:	2
License:	GPL
Group:		Base
Source0:	mkinitrd-%{version}.tar.bz2
# Source0-md5:	2ba9ccda4f10e80239ca86fed9bb81d0
Patch0:		%{name}-menu.lst.patch
Patch1:		%{name}-pld.patch
Patch2:		%{name}-geninitrd.patch
Patch3:		%{name}-poptshared.patch
BuildRequires:	popt-devel
Requires:	geninitrd >= 8243
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
grubby is a command line tool for updating and displaying information
about the configuration files for the grub, lilo, elilo (ia64), and
yaboot (powerpc) boot loaders. It is primarily designed to be used
from scripts which install new kernels and need to find information
about the current boot environment.

%description -l pl
grubby to dziaajce z linii polece narzdzie do uaktualniania i
wywietlania informacji o plikach konfiguracyjnych bootloaderw grub,
lilo, elilo (na architekturze ia64) oraz yaboot (na powerpc). Jest
zaprojektowany gwnie do uywania z poziomu skryptw instalujcych
nowe jdra i potrzebujcych odczyta informacje o aktualnym rodowisku
startowym.

%prep
%setup -q -n mkinitrd-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd %{name}
%{__make} CC="%{__cc}"

%if %{with tests}
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C %{name} install \
	BUILDROOT=$RPM_BUILD_ROOT \
	mandir=%{_mandir}

install installkernel $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/new-kernel-pkg
%attr(755,root,root) %{_sbindir}/grubby
%attr(755,root,root) %{_sbindir}/installkernel
%{_mandir}/man8/grubby.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: grubby.spec,v $
Revision 1.11  2007/02/08 18:59:18  glen
- link with shared poppt

Revision 1.10  2007/02/08 18:56:30  glen
- use geninitrd with fixed UUID=, LABEL= lookups; rel 2

Revision 1.9  2006/05/15 13:14:31  glen
- rel 1

Revision 1.8  2005/10/13 16:17:00  glen
- up to 5.0.4 from fc-dev

Revision 1.7  2005/07/12 17:45:32  glen
- doesn't obsolete mkinitrd

Revision 1.6  2005/06/06 18:28:42  glen
- rel 2; STBR

Revision 1.5  2005/05/24 15:16:56  glen
- adapterized

Revision 1.4  2005/05/24 15:15:01  glen
- rel 1; STBR

Revision 1.3  2005/01/07 08:42:10  kolodko
- use CC="%{__cc}"
- it's static linked with popt: added BR popt-static

Revision 1.2  2005/01/06 20:16:37  qboosh
- pl
- removed old todo (RH rarely distributes their tarballs outside src.rpms),
  added new one (no configs in /sbin please)

Revision 1.1  2005/01/05 22:38:08  glen
- fork of mkinitrd - contains grubby and mkinitrd replaced with geninitrd
